Update customer
curl --request POST \
--url https://campaigns.pingmee.co.il/customers/{id} \
--header 'Content-Type: application/json' \
--header 'Cookie: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"customerNickname": "<string>",
"description": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>"
}
'import requests
url = "https://campaigns.pingmee.co.il/customers/{id}"
payload = {
"customerNickname": "<string>",
"description": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>"
}
headers = {
"Cookie": "<api-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Cookie: '<api-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerNickname: '<string>',
description: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>'
})
};
fetch('https://campaigns.pingmee.co.il/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer": {
"profileImage": "<string>",
"customerName": "<string>",
"customerNickname": "<string>",
"description": "<string>",
"createdAt": 123,
"lastActiveAt": 123,
"email": "jsmith@example.com",
"phoneNumberId": "<string>",
"countryCode": "<string>",
"associatedTo": "<string>",
"parsedPhoneNumber": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Customers
Update Customer
Updates editable customer fields. This is a partial update — only include the fields you want to change. customerName is not updatable here.
Updatable fields: customerNickname, email, description, phoneNumber.
POST
/
customers
/
{id}
Update customer
Call this endpoint on the campaigns service:
https://campaigns.pingmee.co.il.{
"description": "VIP customer, prefers Hebrew"
}
customerNickname, email, description, phoneNumber.Authorizations
Personal access token from Pingmee Settings → Developer Tools
Business API key from Pingmee Settings → Developer Tools
Path Parameters
Phone number ID of the customer to update.
Body
application/json
Fields to update. Omit fields you do not want to change.
Partial customer update. Include only the fields you want to change.
Response
Customer updated
Show child attributes
Show child attributes
⌘I